Bug 750151 - Cannot report a bug due to (apparently) invalid UTF-8 sequence
Summary: Cannot report a bug due to (apparently) invalid UTF-8 sequence
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Milata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-10-31 08:00 UTC by Hedayat Vatankhah
Modified: 2012-04-18 22:59 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 22:59:17 UTC
Type: ---


Attachments (Terms of Use)
The log saved by abrt which I was trying to submit to bugzilla directly. (1.48 KB, text/x-log)
2011-10-31 08:00 UTC, Hedayat Vatankhah
no flags Details

Description Hedayat Vatankhah 2011-10-31 08:00:10 UTC
Created attachment 530914 [details]
The log saved by abrt which I was trying to submit to bugzilla directly.

Description of problem:
I was trying to report a crash using Abrt crash report tool, however when it was going to create the bug in Bugzilla, it terminated with the below error:

Checking for duplicates
Creating a new bug
fatal: XML-RPC(-510): 122-byte supposed UTF-8 string is not valid UTF-8.  UTF-8 multibyte sequence contains character 0x27, which does not indicate continuation.
(exited with 1)


Version-Release number of selected component (if applicable):
abrt-2.0.4.981-3.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run ccsm in fa_IR.utf8 locale
2. Try to enable wobbly window plugin while snapping window plugin is enabled so that a conflict occurs and ccsm is expected to bring up a window to resolve the conflict
3. ccsm crashes
4. Try to report the crash using abrt
  
Actual results:
Abrt will give you the above error message

Expected results:
Abrt should successfully file a new bug for the crash

Additional info:
The crash report log saved by Abrt is attached

Comment 1 Jiri Moskovcak 2011-11-24 16:04:21 UTC
- need to use utf_sanitize() function which we use for dbus calls

Comment 2 Martin Milata 2011-12-14 12:32:59 UTC
Fixed in libreport git (65f813f6a819f7ec2e29c315deceb3db566105fa).

Comment 3 Fedora Update System 2012-03-27 10:17:23 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 4 Fedora Update System 2012-03-28 05:58:13 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-02 13:33:14 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 6 Fedora Update System 2012-04-18 22:59:17 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.